<?php

namespace App\Mailer;

use Illuminate\Support\Facades\App;

class DynamicMailer
{
    public static function getMailer()
    {
        $mailConfig = DynamicMailConfig::getConfig();
        $mailerManager = new DynamicMailerManager(App::getInstance());
        $mailer = $mailerManager->getMailer($mailConfig);

        return $mailer;
    }
}
